Operations - List

Microsoft.Search プロバイダーで使用可能なすべての REST API 操作を一覧表示します。

GET https://management.azure.com/providers/Microsoft.Search/operations?api-version=2023-11-01

URI パラメーター

名前 / 必須 型 説明
api-version
query True

string

各要求に使用する API バージョン。

応答

名前 型 説明
200 OK

OperationListResult

成功。 応答では、操作の一覧が記述されます。

Other Status Codes

CloudError

Operations API が失敗しました。

セキュリティ

azure_auth

Microsoft Entra ID OAuth2 承認フロー。

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

例

OperationsList

要求のサンプル

GET https://management.azure.com/providers/Microsoft.Search/operations?api-version=2023-11-01

応答のサンプル

{
  "value": [
    {
      "name": "Microsoft.Search/operations/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "List all available operations",
        "description": "Lists all of the available operations of the Microsoft.Search provider."
      }
    },
    {
      "name": "Microsoft.Search/register/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Register the Search Resource Provider",
        "description": "Registers the subscription for the search resource provider and enables the creation of search services."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/write",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Set Search Service",
        "description": "Creates or updates the search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Get Search Service",
        "description": "Reads the search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/delete",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Delete Search Service",
        "description": "Deletes the search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/start/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Start Search Service",
        "description": "Starts the search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/stop/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Stop Search Service",
        "description": "Stops the search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/listAdminKeys/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Get Admin Key",
        "description": "Reads the admin keys."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/regenerateAdminKey/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Regenerate Admin Key",
        "description": "Regenerates the admin key."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/listQueryKeys/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "API Keys",
        "operation": "Get Query Keys",
        "description": "Returns the list of query API keys for the given Azure Search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/createQueryKey/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Create Query Key",
        "description": "Creates the query key."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/deleteQueryKey/delete",
      "display": {
        "provider": "Microsoft Search",
        "resource": "API Keys",
        "operation": "Delete Query Key",
        "description": "Deletes the query key."
      }
    },
    {
      "name": "Microsoft.Search/checkNameAvailability/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Service Name Availability",
        "operation": "Check Service Name Availability",
        "description": "Checks availability of the service name."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/diagnosticSettings/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Diagnostic Settings",
        "operation": "Get Diagnostic Setting",
        "description": "Gets the diganostic setting read for the resource"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/diagnosticSettings/write",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Diagnostic Settings",
        "operation": "Set Diagnostic Setting",
        "description": "Creates or updates the diganostic setting for the resource"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/metricDefinitions/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "The metric definitions for the search service",
        "operation": "Read search service metric definitions",
        "description": "Gets the available metrics for the search service"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/logDefinitions/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "The log definition for the search service",
        "operation": "Read search service log definitions",
        "description": "Gets the available logs for the search service"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/validate/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection Proxy",
        "operation": "Validate Private Endpoint Connection Proxy",
        "description": "Validates a private endpoint connection create call from NRP side"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/write",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection Proxy",
        "operation": "Create Private Endpoint Connection Proxy",
        "description": "Creates a private endpoint connection proxy with the specified parameters or updates the properties or tags for the specified private endpoint connection proxy"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection Proxy",
        "operation": "Get Private Endpoint Connection Proxy",
        "description": "Returns the list of private endpoint connection proxies or gets the properties for the specified private endpoint connection proxy"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/delete",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection Proxy",
        "operation": "Delete Private Endpoint Connection Proxy",
        "description": "Deletes an existing private endpoint connection proxy"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnections/write",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection",
        "operation": "Create Private Endpoint Connection",
        "description": "Creates a private endpoint connections with the specified parameters or updates the properties or tags for the specified private endpoint connections"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnections/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection",
        "operation": "Get Private Endpoint Connection",
        "description": "Returns the list of private endpoint connections or gets the properties for the specified private endpoint connections"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnections/delete",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection",
        "operation": "Delete Private Endpoint Connection",
        "description": "Deletes an existing private endpoint connections"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/write",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Shared Private Link Resource",
        "operation": "Create Shared Private Link Resource",
        "description": "Creates a new shared private link resource with the specified parameters or updates the properties for the specified shared private link resource"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Shared Private Link Resource",
        "operation": "Get Shared Private Link Resource",
        "description": "Returns the list of shared private link resources or gets the properties for the specified shared private link resource"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/delete",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Shared Private Link Resource",
        "operation": "Delete Shared Private Link Resource",
        "description": "Deletes an existing shared private link resource"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/operationStatuses/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Shared Private Link Resource",
        "operation": "Get Operation Status",
        "description": "Get the details of a long running shared private link resource operation"
      }
    }
  ]
}

定義

名前 説明
CloudError

API エラーに関する情報が含まれています。

CloudErrorBody

エラー コードとメッセージを含む特定の API エラーについて説明します。

Display

操作を記述するオブジェクト。

Operation

REST API 操作について説明します。

OperationListResult

REST API 操作を一覧表示する要求の結果。 これには、操作の一覧と、次の結果セットを取得するための URL が含まれています。

CloudError

API エラーに関する情報が含まれています。

名前 型 説明
error

CloudErrorBody

エラー コードとメッセージを含む特定の API エラーについて説明します。

CloudErrorBody

エラー コードとメッセージを含む特定の API エラーについて説明します。

名前 型 説明
code

string

HTTP 状態コードよりも正確にエラー状態を記述するエラー コード。 特定のエラー ケースをプログラムで処理するために使用できます。

details

CloudErrorBody[]

このエラーに関連する入れ子になったエラーが含まれています。

message

string

エラーの詳細を説明し、デバッグ情報を提供するメッセージ。

target

string

特定のエラーのターゲット (たとえば、エラーのプロパティの名前)。

Display

操作を記述するオブジェクト。

名前 型 説明
description

string

操作のフレンドリ名。

operation

string

操作の種類: 読み取り、書き込み、削除、listKeys/action など。

provider

string

リソース プロバイダーのフレンドリ名。

resource

string

操作が実行されるリソースの種類。

Operation

REST API 操作について説明します。

名前 型 説明
display

Display

操作を記述するオブジェクト。

name

string

操作の名前。 この名前は {provider}/{resource}/{operation} という形式です。

OperationListResult

REST API 操作を一覧表示する要求の結果。 これには、操作の一覧と、次の結果セットを取得するための URL が含まれています。

名前 型 説明
nextLink

string

操作リストの結果の次のセットを取得する URL (ある場合)。

value

Operation[]

リソース プロバイダーでサポートされている操作の一覧。